/*  import google fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxygen:wght@300;400;700&display=swap');

:root {
    --colorYellow: #F2F35D;
    --colorSand: #a49c9d;
    --colorGradient: linear-gradient(45deg, #BEDEF2 0%, #A98287 60%, #4D3C3E 100%);
    --colorGray: #83818C;
    --colorLightGray: rgb(200, 204, 209);
    --colorOffWhite: rgb(241, 240, 240);
    --colorLightPurple: #b8a7bf;
    --colorDimRose: #A98287;
    --colorDustyRose: rgb(165, 143, 145);
    --colorGreenDeep: #45818e;
    --colorGreenLight: #6cbcce;
    --colorPurpleDeep: #552747;
    --colorPurpleLight: #c8bcc4;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    /border: 2px solid black;
}


html {
    
    overflow-x: hidden
}



.fade-out {
    opacity: 0
}

.fade-in {
    opacity: 1;
    transition: opacity 2s ease-in-out 1s;
}

/* custom scroll bar */
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: var(--colorGray);
    border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* all similar content */
section {
    padding: 100px 0;
}

.max-width {
    max-width: 1300px;
    padding: 0 80px;
    margin: auto;
}

.about,
.resume,
.skills,
.projects,
.contact,
.icons {
    font-family: 'Poppins', sans-serif;
}

.about .about-content,
.skills .skills-content,
.contact .contact-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

.subtitle {
    position: absolute;
    font-size: 7.5vh;
    opacity: 0.25;
    margin-top: -3%;
}

#about-subtitle,
#skills-subtitle,
#contact-subtitle {
    color: var(--colorGreenDeep);
    right: 6rem;
}

#resume-subtitle,
#projects-subtitle {
    color: var(--colorPurpleDeep);
    left: 6rem;
}

section .title {
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'Ubuntu', sans-serif;
    display: none;
}


/* navbar */
.navbar {
    position: fixed;
    display: flex;
    width: 100%;
    z-index: 999;
    padding: 15px 0;
    font-family: 'Ubuntu', sans-serif;
    transition: all 0.4s ease;
    background: white
}


.navbar .max-width {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navbar .logo a {
    color: #fff;
    font-size: 35px;
    font-weight: 600;
}

.navbar .logo a span {
    color: var(--colorSand);
    transition: all 0.3s ease;
}

.navbar.sticky .logo a span {
    color: #fff;
}

.navbar .menu li {
    list-style: none;
    display: inline-block;
}

.navbar .menu li a {
    display: block;
    color: var(--colorGray);
    font-size: 20px;
    font-weight: 500;
    margin-left: 25px;
    transition: color 0.3s ease;
}

.navbar .menu li a:hover {
    color: var(--colorLightGray);
}

.navbar.sticky .menu li a:hover {
    color: var(--colorLightGray);
}

.mobile-icons-contain {
    display: none;
}

/* menu btn */
.menu-btn {
    color: black;
    font-size: 23px;
    cursor: pointer;
    display: none;

}

.scroll-up-btn {
    position: fixed;
    height: 45px;
    width: 42px;
    background: var(--colorGray);
    right: 30px;
    bottom: 10px;
    text-align: center;
    line-height: 45px;
    color: #fff;
    z-index: 9999;
    font-size: 30px;
    border-radius: 50px;
    border-bottom-width: 2px;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease;
}

.scroll-up-btn.show {
    bottom: 30px;
    opacity: 1;
    pointer-events: auto;
}

.scroll-up-btn:hover {
    transition: all 0.2s;
    transform: scale(1.20);
    border: 7px solid rgb(188, 188, 188);
}

/* TRANSITION SHAPES*/

.transition-shapes {
    position: absolute;
    z-index: 1000;
    height: 60vh;
    transform: translate(0%, -70%);
}

#about-shape,
#contact-shape,
#skills-shape {
    left: 0;
}

#resume-shape,
#projects-shape {
    right: 0;
}


/* about section */
.about {
    background: white;
    height: 100vh;
}


.about .about-content .left {
    width: 45%;
}

.about .about-content .left img {
    height: 23rem;
    width: 23rem;
    object-fit: cover;
    border-radius: 5rem;
    box-shadow: -9px 9px 17px 2px gray;
    margin-top: 10vh
}

.about .about-content .right {
    width: 55%;
    margin-top: 8.5vh;

}

.about .about-content .right .text {
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 10px;
}

.typing-2 {
    color: #45818e;
    font-weight: 600;
    font-size: 30px;
}

.about .about-content .right p {
    text-align: start;

}

#about-2ndp {
    margin-top: 0.6rem;
}

/* .about .about-content .right a {
    display: inline-block;
    background: var(--colorSand);
    color: #fff;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid var(--colorSand);
    transition: all 0.3s ease;
} 

.about .about-content .right a:hover {
    color: var(--colorSand);
    background: none;
} */




/* skills section */
.skills {
    height: 100vh;
}

.skills .skills-content {
    height: 50vh;
    margin-top: 9vh
}


.skills .skills-content .column {
    width: calc(50% - 30px);
}

.skills .skills-content .left .text {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}

.skills .skills-content .left p {}

.skills .skills-content .left a {
    display: inline-block;
    background: var(--colorGray);
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    padding: 8px 16px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid var(--colorSand);
    transition: all 0.3s ease;
}

.skills .skills-content .left a:hover {
    color: var(--colorGreenDeep);
    background: none;
}

.skills .skills-content .right .bars {
    margin-bottom: 15px;
}

.skills .skills-content .right .info {
    display: flex;
    margin-bottom: 5px;
    align-items: center;
    justify-content: space-between;
}

.skills .skills-content .right span {
    font-weight: 500;
    font-size: 18px;
}


.skills .skills-content .right .line {
    height: 8px;
    width: 100%;
    background: rgb(190, 190, 190);
    position: relative;
    border-radius: 50px;

}

.skills .skills-content .right .line::before {
    content: "";
    position: absolute;
    height: 100%;
    left: 0;
    top: 0;
    background: var(--colorGreenDeep);
    border-radius: 50px 0 0 50px;
}

.skills-content .right .html::before {
    width: 98%;
}

.skills-content .right .css::before {
    width: 95%;
}

.skills-content .right .js::before {
    width: 85%;
}

.skills-content .right .php::before {
    width: 75%;
}

.skills-content .right .mysql::before {
    width: 65%;
}

/* projects section */
.projects {
    color: #fff;
    height: 100vh;
}


.projects .glider-contain {
    width: 60%;
    margin-top: 9vh
}

.projects .glider {
    display: flex;
    overflow-x: hidden;
    scroll-snap-type: x mandatory;

}

.projects .card {
    flex: 0 0 auto;
    width: 100%;
    border-radius: 1rem;
    padding: 25px 35px;
    text-align: center;
    height: 45vh;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    scroll-snap-align: start;
    transition: all 0.05s ease;
    background-color: var(--colorPurpleLight);

}

.projects .card:hover {}

.projects .card .box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: all 0.05s ease;
    height: 45vh;
    background: var(--colorPurpleDeep);
    opacity: 0.9;
    box-shadow: 0px 10px 30px -5px rgba(0, 0, 0, 0.75);
    width: 80%;
}

.projects .card:hover .box {
    transform: scale(1.01);
    transition: all 0.05s ease;
}

.projects .card .box a {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #fff;
    font-family: 'Oxygen', sans-serif;
    font-weight: bolder;


}

.projects .card .box a:visited {
    color: inherit;
}

.projects .card .text {

    font-size: 1.4rem;
    font-weight: 500;
    margin: 10px 0 7px 0;
    font-family: 'Oxygen', sans-serif;
}

.projects .card p {
    width: 80%;
    font-weight: 400;
}

.projects .card img {
    height: 150px;
    width: 150px;
    object-fit: cover;
    border-radius: 50%;
    border: 5px solid rgb(175, 173, 173);
    transition: all 0.05s ease;
}

.projects .card:hover img {
    border-color: var(--colorPurpleLight);

}



.glider-track {
    display: flex;
    transition: transform 0.5s ease;
}

.glider-slide {
    flex: 0 0 auto;
    margin-right: 20px;
    transition: transform 0.5s ease;
}

.glider-slide:focus {
    outline: none;
}



.glider-slide-next {
    transform: translateX(100%);
}

.glider-slide-prev {
    transform: translateX(-100%);
}

.glider-slide-active {
    transform: translateX(0);
}

.glider-prev,
.glider-next {
    position: absolute;
    top: 45%;
    transform: translateY(-50%);
    padding: 10px;
    border: none;
    background: none;

    font-size: 4rem;
    cursor: pointer;
    transition: color 1s ease;
    color: var(--colorOffWhite);
    z-index: 1;
}

.glider-prev:hover,
.glider-next:hover {

    color: var(--colorPurpleDeep)
}

.glider-prev {
    left: 1%;
}

.glider-next {
    right: 1%;
}

.dots {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.dot {
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background-color: #aaa;
    margin: 0 5px;
    cursor: pointer;
    transition: all 0.02s ease;
}

.glider-dot.active {
    background-color: var(--colorSand);
}



/* contact section */
.contact {
    height: 100vh;
    width: 100%;
}


.contact-me {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    max-width: 100%;
    gap: 4%;
    margin-top: 8vh;


}

#contact-bike-img {
    height: 23rem;
    width: 25rem;
    display: inline-block;
    border-radius: 0.5rem;
    box-shadow: 0px 10px 30px -5px rgba(0, 0, 0, 0.75);

}

#contactForm-contain {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 1rem;
    gap: 2rem;


}

#contactForm {
    width: 22rem;


}

.contact .right form .fields {
    display: flex;
}

.contact .right form .field,
.contact .right form .fields .field {
    height: 2.5rem;
    width: 100%;
    margin-bottom: 0.8rem;
}

.contact .right form .textarea {
    height: 80px;
    width: 100%;
}

.contact .right form .name {
    margin-right: 0.5rem;
}

.contact .right form .field input,
.contact .right form .textarea textarea {
    height: 100%;
    width: 100%;
    border: 1px solid lightgrey;
    border-radius: 0.3rem;
    outline: none;
    padding: 0 0.8rem;
    font-size: 16px;
    font-family: 'Oxygen', sans-serif;
    transition: all 0.3s ease;
}

.contact .right form .field input:focus,
.contact .right form .textarea textarea:focus {
    border: 3px solid var(--colorGreenDeep)
}


.contact .right form .textarea textarea {
    padding-top: 0.5rem;
    height: 7rem;
    resize: none;
}

.contact .right form .button-area {
    display: flex;
    align-items: center;
    padding-top: 3.1rem;
}

.right form .button-area button {
    color: #fff;
    width: 8rem;
    height: 2.2rem;
    outline: none;
    font-size: 1.1rem;
    font-weight: 500;
    border-radius: 0.3rem;
    cursor: pointer;
    flex-wrap: nowrap;
    background: var(--colorGray);
    border: 2px solid var(--colorGray);
    transition: all 0.3s ease;
    display: block;
    font-family: 'Oxygen', sans-serif;

}

.right form .button-area button:hover {
    font-size: 1rem;
    background: transparent;
    border: 3px solid var(--colorGreenDeep);
    color: var(--colorGray);

}



#send-message-btn-area {
    display: flex;
    justify-content: center;
    flex-direction: column;

}


.fa-paper-plane {
    margin-left: 0.04rem;
    margin-bottom: 0.2rem;
    font-size: .7rem;

}

#responseMessage {

    font-size: 1.5rem;
    color: var(--colorGreenDeep);

}


/* icons area */

.icons {
    height: 70px;
    width: 100%;
    display: flex;
    justify-content: center;

}

.icons .socials ion-icon,
.icons .socials i {
    font-size: 1.8rem;
    color: var(--colorGreenDeep);
    background-color: transparent;
    border-radius: 50%;
    padding: 1rem;
    cursor: pointer;
    text-align: center;
}

.socials {
    display: flex;
    justify-content: center;
    width: 100%;
    gap: 10%
}

ion-icon:hover,
ion-icon:active,
ion-icon:focus {
    transition: all 1.0s;
    transform: scale(0.85);
}

#twitter-x:hover,
#twitter-x:active,
#twitter-x:focus {
    background-color: rgb(70, 69, 69);
    color: white;
    transition: all 1.0s;
        transform: scale(0.85);
}

#github:hover,
#github:active,
#github:focus {
    background-color: black;
    color: white
}

#linkedin:hover,
#linkedin:active,
#linkedin:focus {
    background-color: var(--colorOffWhite);
    color: #0072b1;

}




/* responsive media query start */
@media (max-width: 1104px) {
    .about .about-content .left img {
        height: 350px;
        width: 350px;
    }

    .transition-shapes {
        height: 45vh;
    }

    .subtitle {
        font-size: 5.8vh;
    }
}

@media (max-width: 991px) {
    .max-width {
        padding: 0 50px;
    }
}

@media (max-width: 947px) {

    /* TRANSITION SHAPES*/

    .transition-shapes.active {
        z-index: 1;
    }

    .transition-shapes {
        height: 40vh;
    }

    /* SUBTITLES */

    .subtitle {
        font-size: 4.7vh;
    }

    #about-subtitle,
    #skills-subtitle,
    #contact-subtitle {
        right: 4rem;
    }

    #resume-subtitle,
    #projects-subtitle {
        left: 4rem;
    }


    .menu-btn {
        display: block;
        z-index: 1002;
    }

    .menu-btn i.active:before {
        content: "\f00d";
    }



    .navbar .menu {
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100%;
        top: 0;
        background: var(--colorGray);
        text-align: center;
        padding-top: 80px;
        transition: all 0.3s ease;

    }

    .navbar .menu.active {
        left: 0;

    }

    .navbar .menu li {
        display: block;

    }

    .navbar .menu li a {
        display: inline-block;
        margin: 20px 0;
        font-size: 25px;
        color: white;

    }

    .max-width {
        max-width: 930px;
    }


    .about .about-content .column {
        width: 100%;
    }

    .about .about-content .left {
        display: flex;
        justify-content: center;
        /* margin: 0 auto 60px; */
    }

    .about .about-content .right {
        flex: 100%;
    }

    .about .about-content .left img {
        margin-top: 8vh
    }

    .about .about-content .right .text {
        margin-top: -3vh;
    }


    .skills .skills-content .column,
    .contact .contact-content .column {
        width: 100%;
        margin-bottom: 35px;
    }

    .icons {
        display: none;
    }

    .mobile-icons-contain {
        display: flex;
        justify-content: center;
        gap: 10%;
        margin-top: 10%;

    }

    .mobile-icons-contain ion-icon,
        .mobile-icons-contain i {
        font-size: 1.6rem;

        background-color: transparent;
        border-radius: 50%;
        padding: 1rem;
        margin-bottom: 0.3rem;
    }

    .contact-me {
        padding-top: 7%;
    }

    #contactForm,
    #contact-bike-img {
        width: 21rem;
    }

    #contactForm {
        padding-bottom: 7%;
    }

}

@media (max-width: 768px) {

    .subtitle {
        font-size: 4vh;
    }

    .projects .card {
        height: auto;
    }

    .projects .card img {
        height: 100px;
        width: 100px;
    }

    #contactForm,
    #contact-bike-img {
        width: 19rem;
    }


}


@media (max-width: 690px) {
    .max-width {
        padding: 0 23px;
    }

    .transition-shapes {
        height: 31vh;
    }

    .subtitle {
        font-size: 4vh;
    }

    #about-subtitle,
    #skills-subtitle,
    #contact-subtitle {
        right: 3rem;
    }

    #resume-subtitle,
    #projects-subtitle {
        left: 3rem;
    }



    .icons {
        display: none;
    }

    .about .title {
        margin-top: 0;
    }


    .projects .glider-contain {
        width: 100%;
    }

    .projects .card .box {

        box-shadow: 0px 10px 30px -5px rgba(0, 0, 0, 0.75);
        width: 80%;
        height: 55vh;
        position: relative;
    }

    .projects .card img {
        margin-top: -25%;
    }

    .projects .card .text {
        font-weight: bold;
        font-size: 1.8rem;
        margin-top: 2%;
        margin-bottom: 5%;

    }

    .projects .card p {
        width: 70%;
        font-size: 1.2rem;
    }

    .glider-prev,
    .glider-next {
        padding: 0;
        font-size: 4rem;

    }

    .glider-prev {
        left: 0;
    }

    .glider-next {
        right: 0;
    }

    .contact {
        height: auto
    }

    .contact-me {
        padding-top: 7%;
        gap: 2%;
    }


    #contact-bike-img {
        width: 16rem;
    }

    #contactForm {
        width: 14rem;
        padding-bottom: 7%;
    }

}

@media (max-width: 500px) {


    .navbar {
        max-width: 100vw;
    }


    /* TRANSITION SHAPES*/

    .transition-shapes {
        height: 35vh;

    }

    /* SUBTITLES */

    .subtitle {
        font-size: 4vh;
        margin-top: 1vh;

    }

    #about-subtitle,
    #skills-subtitle,
    #contact-subtitle {
        right: 2rem;
       
    }

    #resume-subtitle,
    #projects-subtitle {
        left: 2rem;
        margin-top: -1.5vh;
    }


    .about {
        height: 150vh;
    }

    .about .about-content .right .text {
        margin-top: -5vh;
    }

    .about .about-content .left img {
        height: 70%;
        width: 80%;
        object-fit: cover;
        border-radius: 3rem;
        box-shadow: -9px 9px 17px 2px gray;
        margin-top: 10vh;
    }

    .skills {
        height: 150vh;
    }


    .skills .skills-content .right {
        padding: 1rem;
        box-shadow: -9px 9px 19px 2px gray;
        border-radius: 0.5rem;

    }

    .about .about-content .right .text,
    .skills .skills-content .left .text {
        font-size: 18px;
    }

    .about .about-content .right .text span {
        font-size: 21px;
    }

    .projects {
        height: 115vh;
    }

    .projects .glider-contain {
        width: 100%;
        margin-top: 12vh;
    }

    .projects .card .box {

        box-shadow: 0px 10px 30px -5px rgba(0, 0, 0, 0.75);
        width: 90%;
        height: 53vh;
        position: relative;
       
    }

    .projects .card img {
        position: relative;
        top: 3%;
        margin-bottom: 3%;
    }

    .projects .card .text {
        font-weight: bold;

    }

    .projects .card p {
        margin-bottom: 2rem;
        font-size: 1.1rem;
    }

    .glider-prev,
    .glider-next {
        padding-bottom: 5px;
        padding-left: 3px;
        padding-right: 3px;
        font-size: 3rem;
        background-color: var(--colorPurpleLight);
        border-radius: 50%;
    }

    .glider-prev {
        left: -4%;
    }

    .glider-next {
        right: -4%;
    }

    .contact-me {
        flex-direction: column;

        gap: 1.5rem;
    }


    #contact-bike-img {
        width: 75vw;
        height: 45vh;
        border-radius: 1rem;
    }



    #contactForm {
        margin-top: -5%;

        padding-bottom: 7%;
        width: 70vw;

    }

    .contact .right form .fields {
        flex-direction: column;
    }

    .field {
        padding-right: 0.5rem;
        padding-left: 0.5rem;
    }

    .contact .right form .name,
    .contact .right form .email {
        margin: 0;
    }

    .contact .right form .textarea textarea {
        padding-bottom: 10rem;

    }

    #send-message-btn-area {
        position: relative;
        margin-top: 4rem;
    }

    #send-message-btn {
        position: relative;
        bottom: 0
    }

    .right form .error-box {
        width: 150px;
    }

    .icons {
        display: none;
    }



    .socials {
        margin-top: 4rem;
        gap: 1.5rem;
        justify-content: center;
    }


    .scroll-up-btn {
        right: 15px;
        bottom: 15px;
        height: 38px;
        width: 35px;
        font-size: 23px;
        line-height: 38px;
    }

}